<?
if (!defined('SITE')) die();
//echo "<PRE>"; print_r ($_POST);print_r ($_GET);
if(@$_GET['op'] == "new") 
{
	if(@$_POST['text'] && @$_POST['title'])
	{
		if (!get_magic_quotes_gpc()) $_POST['title'] = mysql_escape_string($_POST['title']);
		else $_POST['title'] = str_replace("'","`",$_POST['title']);
		if(mysql_query("INSERT INTO jshop_page SET  title = '".$_POST['title']."', text = '".$_POST['text']."', publick = '".$_POST['publick']."'")) echo "<center><strong>Материал добавлен!</strong></center>";
		else echo "<center><strong>Ошибка при добавлении!</strong></center>";
	}
	else
	{
		echo "<form method=post action=\"".$h."/admin/content/new/\">";
		echo "<table align=center width=98% cellpadding=0 cellspacing=0><tr><td bgcolor=#E5E5E5><table width=100% cellpadding=1 cellspacing=1>";
		echo "<tr bgcolor=#F8F8F8><td colspan=10 align=center><div class=table_item><b>Добавить новый материал</b></div></td></tr>";
		echo "<tr bgcolor=#FFFFFF><td><div class=table_item>Название нового материала</div></td><td align=center><div class=table_item><input type=text name=title size=97></div></td></tr>";
		echo "<tr bgcolor=#FFFFFF><td><div class=table_item>Публиковать в общем списке?</div></td><td align=center><div class=table_item>
		<SELECT name=publick class=w99>
            <option value=1 selected >Да</OPTION>
            <option value=0>Нет</OPTION>
          </SELECT>
		</div></td></tr>";
		echo "<tr bgcolor=#FFFFFF><td><div class=table_item>Текст страницы</div></td><td align=center><div class=table_item>";
		include ('editor/spaw.inc.php'); $spaw2 = new SPAW_Wysiwyg("text", ""); $spaw2->show();
		echo "</div></td></tr>";
		echo "</table></td></tr></table><br><br>";
		echo "<center><input type=\"submit\" value=\"Сохранить\"></center>";
		echo "</form>";
	}
}
elseif(@$_GET['op'] == "edit")
{
	if(@$_POST['text'] && @$_POST['title'])
	{
		if (!get_magic_quotes_gpc()) $_POST['title'] = mysql_escape_string($_POST['title']);
		else $_POST['title'] = str_replace("'","`",$_POST['title']);
		$yes = mysql_query("UPDATE jshop_page SET title = '".$_POST['title']."', text = '".$_POST['text']."', publick = '".$_POST['publick']."' WHERE id = '".$_GET['list']."'");
		if ($yes) echo "<br><br><center><strong>Текст был успешно изменен!</strong></center>";
		else die ("Возникла ошибка при редактировании. Попробуйте еще раз");
	} 
	else
	{
		$parts = mysql_query("SELECT * FROM jshop_page WHERE id = '".intval($_GET['list'])."'");
		if(mysql_numrows($parts) == 1)
		{
			$part = mysql_fetch_array($parts);
			echo "<form method=post action=\"".$h."/admin/content/".$part['id']."/edit/\">";
			echo "<table align=center width=98% cellpadding=0 cellspacing=0><tr><td bgcolor=#E5E5E5><table width=100% cellpadding=1 cellspacing=1>";
			echo "<tr bgcolor=#F8F8F8><td colspan=10 align=center><div class=table_item><b>Редактировать материал</b></div></td></tr>";
			echo "<tr bgcolor=#FFFFFF><td><div class=table_item>Название материала</div></td><td align=center><div class=table_item><input type=text name=title size=97 value=\"".htmlspecialchars($part['title'])."\"></div></td></tr>";
			echo "<tr bgcolor=#FFFFFF><td><div class=table_item>Публиковать в общем списке?</div></td><td align=center><div class=table_item>";
			echo "<SELECT name=publick class=w99>
            <option value=1"; if ($part['publick'] == 1) echo " selected "; echo ">Да</OPTION>
            <option value=0"; if ($part['publick'] == 0) echo " selected "; echo ">Нет</OPTION>
          	</SELECT>";
			echo "</div></td></tr>";
			echo "<tr bgcolor=#FFFFFF><td><div class=table_item>Текст страницы</div></td><td align=center><div class=table_item>";
			include ('editor/spaw.inc.php'); $text = $part['text']; $spaw2 = new SPAW_Wysiwyg("text", $text); $spaw2->show();
			echo "</div></td></tr>";
			echo "</table></td></tr></table><br><br>";
			echo "<center><input type=\"submit\" value=\"Сохранить\"></center>";
			echo "</form>";	
		}
		else echo "Произошла ошибка при редактировании данных! Попробуйте повторить операцию.";
	}
}
elseif(@$_GET['op'] == "drop" && is_numeric($_GET['list']))
{
	$yes = mysql_query("DELETE FROM jshop_page WHERE id = '".$_GET['list']."'");
	if ($yes) echo "<br><br><center><strong>Страница удалена</strong></center>";
	else die ("Возникла ошибка при удалении страницы. Попробуйте еще раз");
} 
else 
{
	echo "<table align=center cellpadding=0 cellspacing=0><tr><td><a href=\"".$h."/admin/content/new/\"><strong>Добавить материал</strong></a></td></tr></table><table align=center cellpadding=10 cellspacing=10><tr><td><table width=100% cellpadding=1 cellspacing=1>";
	$parts = mysql_query("SELECT * FROM jshop_page");
	echo "<tr bgcolor=#F8F8F8><td colspan=3><div class=table_item><center><strong class=up>Редактирование информационных страниц</strong></center><br /><br /></div></td></td></tr>";
	while($part = mysql_fetch_array($parts)) 
	
	echo "<tr bgcolor=#FFFFFF><td><div><a href=\"".$h."/admin/content/".$part['id']."/edit/\">".$part['title']. "</a></div></td>
	
	<td width=100 align=center><div><a href=\"".$h."/admin/content/".$part['id']."/edit/\"><img border=0 src=\"".$im."/edit.gif\"></a></div></td>
	
	<td width=100 align=center><div><a href=\"".$h."/admin/content/".$part['id']."/drop/\" onClick='return ConformDelete(this);'><img border=0 src=\"".$im."/drop.gif\"></a></div></td></tr>";
	echo "</td></tr></table></td></tr></table><br /><table align=center width=98% cellpadding=0 cellspacing=0><tr><td bgcolor=#E5E5E5><table width=100% cellpadding=1 cellspacing=1><tr bgcolor=#FFFFFF><td colspan=2 align=center><div class=table_item><a href=\"".$h."/admin/content/new/\"><strong>Добавить материал</strong></a></div></td></tr></table>";
}
?>